<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Update1557130633710IdentitasKliensTable extends Migration
{
    public function up()
    {
        Schema::table('identitas_kliens', function (Blueprint $table) {
            $table->dropColumn('agama');
        });
        Schema::table('identitas_kliens', function (Blueprint $table) {
            $table->unsignedInteger('agama_id')->nullable();
            $table->foreign('agama_id', 'agama_fk_42087')->references('id')->on('referensis');
        });
    }

    public function down()
    {
        Schema::table('identitas_kliens', function (Blueprint $table) {
        });
    }
}
